Index: trunk/tools/CedmaDatabaseMerger/CedmaDatabaseMerger.csproj
===================================================================
--- trunk/tools/CedmaDatabaseMerger/CedmaDatabaseMerger.csproj	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/CedmaDatabaseMerger.csproj	(revision 2277)
@@ -0,0 +1,137 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{D1D66C9C-5B65-4348-B8B5-528A513695E4}</ProjectGuid>
+    <OutputType>WinExe</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>CedmaDatabaseMerger</RootNamespace>
+    <AssemblyName>CedmaDatabaseMerger</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.CEDMA.Server-3.3, Version=3.3.0.2270, Culture=neutral, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.CEDMA.Server-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Core-3.2, Version=3.2.0.2143, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.Core-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.DataAnalysis-3.2, Version=3.2.0.2223, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.DataAnalysis-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.GP-3.3, Version=3.3.0.2237, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.GP-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.GP.Interfaces-3.3, Version=3.3.0.2235, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.GP.Interfaces-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.GP.StructureIdentification-3.3, Version=3.3.0.2270, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.GP.StructureIdentification-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Modeling-3.2, Version=3.2.0.2270, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.Modeling-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Modeling.Database-3.2, Version=3.2.0.2271, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.Modeling.Database-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Modeling.Database.SQLServerCompact-3.2, Version=3.2.0.2271, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.Modeling.Database.SQLServerCompact-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.PluginInfrastructure, Version=3.2.0.2234, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\HeuristicLab.PluginInfrastructure.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.SupportVectorMachines-3.2, Version=3.2.0.2270, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\HeuristicLab.SupportVectorMachines-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="LibSVM, Version=2.84.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=x86">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\sources\HeuristicLab\bin\x86\Release\plugins\LibSVM.dll</HintPath>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Deployment" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="MergerForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="MergerForm.Designer.cs">
+      <DependentUpon>MergerForm.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Program.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <EmbeddedResource Include="MergerForm.resx">
+      <DependentUpon>MergerForm.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Properties\Resources.resx">
+      <Generator>ResXFileCodeGenerator</Generator>
+      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+    <Compile Include="Properties\Resources.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DependentUpon>Resources.resx</DependentUpon>
+    </Compile>
+    <None Include="Properties\Settings.settings">
+      <Generator>SettingsSingleFileGenerator</Generator>
+      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
+    </None>
+    <Compile Include="Properties\Settings.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DependentUpon>Settings.settings</DependentUpon>
+      <DesignTimeSharedInput>True</DesignTimeSharedInput>
+    </Compile>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: trunk/tools/CedmaDatabaseMerger/MergerForm.Designer.cs
===================================================================
--- trunk/tools/CedmaDatabaseMerger/MergerForm.Designer.cs	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/MergerForm.Designer.cs	(revision 2277)
@@ -0,0 +1,89 @@
+﻿namespace CedmaDatabaseMerger {
+  partial class MergerForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.setOutputButton = new System.Windows.Forms.Button();
+      this.importButton = new System.Windows.Forms.Button();
+      this.outputTextBox = new System.Windows.Forms.TextBox();
+      this.importProgressBar = new System.Windows.Forms.ProgressBar();
+      this.SuspendLayout();
+      // 
+      // setOutputButton
+      // 
+      this.setOutputButton.Location = new System.Drawing.Point(12, 12);
+      this.setOutputButton.Name = "setOutputButton";
+      this.setOutputButton.Size = new System.Drawing.Size(75, 23);
+      this.setOutputButton.TabIndex = 0;
+      this.setOutputButton.Text = "Set output...";
+      this.setOutputButton.UseVisualStyleBackColor = true;
+      this.setOutputButton.Click += new System.EventHandler(this.setOutputButton_Click);
+      // 
+      // importButton
+      // 
+      this.importButton.Location = new System.Drawing.Point(12, 41);
+      this.importButton.Name = "importButton";
+      this.importButton.Size = new System.Drawing.Size(75, 23);
+      this.importButton.TabIndex = 1;
+      this.importButton.Text = "Import...";
+      this.importButton.UseVisualStyleBackColor = true;
+      this.importButton.Click += new System.EventHandler(this.importButton_Click);
+      // 
+      // outputTextBox
+      // 
+      this.outputTextBox.Location = new System.Drawing.Point(93, 14);
+      this.outputTextBox.Name = "outputTextBox";
+      this.outputTextBox.Size = new System.Drawing.Size(157, 20);
+      this.outputTextBox.TabIndex = 2;
+      // 
+      // progressBar1
+      // 
+      this.importProgressBar.Location = new System.Drawing.Point(94, 40);
+      this.importProgressBar.Name = "progressBar1";
+      this.importProgressBar.Size = new System.Drawing.Size(156, 23);
+      this.importProgressBar.TabIndex = 3;
+      // 
+      // MergerForm
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(270, 82);
+      this.Controls.Add(this.importProgressBar);
+      this.Controls.Add(this.outputTextBox);
+      this.Controls.Add(this.importButton);
+      this.Controls.Add(this.setOutputButton);
+      this.Name = "MergerForm";
+      this.Text = "MergerForm";
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Button setOutputButton;
+    private System.Windows.Forms.Button importButton;
+    private System.Windows.Forms.TextBox outputTextBox;
+    private System.Windows.Forms.ProgressBar importProgressBar;
+  }
+}
Index: trunk/tools/CedmaDatabaseMerger/MergerForm.cs
===================================================================
--- trunk/tools/CedmaDatabaseMerger/MergerForm.cs	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/MergerForm.cs	(revision 2277)
@@ -0,0 +1,109 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Modeling.Database.SQLServerCompact;
+using HeuristicLab.Modeling;
+using HeuristicLab.GP;
+using HeuristicLab.Core;
+using HeuristicLab.Modeling.Database;
+using System.Reflection;
+
+namespace CedmaDatabaseMerger {
+  public partial class MergerForm : Form {
+    string destinationFile;
+    public MergerForm() {
+      InitializeComponent();
+    }
+
+    private void setOutputButton_Click(object sender, EventArgs e) {
+      using (OpenFileDialog dialog = new OpenFileDialog()) {
+        DialogResult result = dialog.ShowDialog();
+        if (result == DialogResult.OK) {
+          outputTextBox.Text = dialog.FileName;
+          destinationFile = dialog.FileName;
+          importButton.Enabled = true;
+        } else {
+          outputTextBox.Text = string.Empty;
+          destinationFile = string.Empty;
+          importButton.Enabled = false;
+        }
+      }
+    }
+
+    private void importButton_Click(object sender, EventArgs e) {
+      string importFileName;
+      using (OpenFileDialog dialog = new OpenFileDialog()) {
+        DialogResult result = dialog.ShowDialog();
+        if (result == DialogResult.OK) {
+          importFileName = dialog.FileName;
+        } else {
+          importFileName = string.Empty;
+        }
+      }
+      if (!string.IsNullOrEmpty(importFileName)) {
+        importButton.Enabled = false;
+        BackgroundWorker worker = new BackgroundWorker();
+        worker.DoWork += CreateDoWorkDelegate(worker, importFileName);
+        worker.ProgressChanged += new ProgressChangedEventHandler(worker_ProgressChanged);
+        worker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(worker_RunWorkerCompleted);
+        worker.RunWorkerAsync();
+      }
+    }
+
+    void worker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
+      importButton.Enabled = true;
+      importProgressBar.Value = 0;
+    }
+
+    void worker_ProgressChanged(object sender, ProgressChangedEventArgs e) {
+      importProgressBar.Value = e.ProgressPercentage;
+    }
+
+    private DoWorkEventHandler CreateDoWorkDelegate(BackgroundWorker worker, string importFileName) {
+      return (sender, args) => {
+        DatabaseService destiationDatabase = new DatabaseService("Data Source=" + destinationFile);
+        DatabaseService sourceDatabase = new DatabaseService("Data Source=" + importFileName);
+
+        var models = sourceDatabase.GetAllModels();
+        int importCount = 0;
+        foreach (HeuristicLab.Modeling.Database.IModel m in models) {
+          HeuristicLab.Modeling.Model model = new HeuristicLab.Modeling.Model();
+          model.TargetVariable = m.TargetVariable.Name;
+          model.Data = (IItem)PersistenceManager.RestoreFromGZip(sourceDatabase.GetModelData(m));
+          model.Dataset = sourceDatabase.GetDataset();
+          model.TrainingSamplesStart = m.TrainingSamplesStart;
+          model.TrainingSamplesEnd = m.TrainingSamplesEnd;
+          model.ValidationSamplesStart = m.ValidationSamplesStart;
+          model.ValidationSamplesEnd = m.ValidationSamplesEnd;
+          model.TestSamplesStart = m.TestSamplesStart;
+          model.TestSamplesEnd = m.TestSamplesEnd;
+          //get all double properties to save as modelResult
+          IEnumerable<PropertyInfo> modelResultInfos = model.GetType().GetProperties().Where(
+            info => info.PropertyType == typeof(double));
+          var modelResults = sourceDatabase.GetModelResults(m);
+          foreach (IModelResult result in modelResults) {
+            PropertyInfo matchingPropInfo = modelResultInfos.First(x=>x.Name == result.Result.Name);
+            if(matchingPropInfo!=null) matchingPropInfo.SetValue(model, result.Value, null);
+          }
+          var inputVariableResults = sourceDatabase.GetInputVariableResults(m);
+          foreach (IInputVariableResult result in inputVariableResults) {
+            model.AddInputVariables(result.Variable.Name);
+            if (result.Result.Name == "VariableEvaluationImpact") {
+              model.SetVariableEvaluationImpact(result.Variable.Name, result.Value);
+            } else if (result.Result.Name == "VariableQualityImpact") {
+              model.SetVariableQualityImpact(result.Variable.Name, result.Value);
+            } else throw new FormatException();
+          }
+          
+          destiationDatabase.Persist(model, m.Algorithm.Name, m.Algorithm.Description);
+          worker.ReportProgress((++importCount * 100) / models.Count());
+        }
+      };
+    }
+  }
+}
Index: trunk/tools/CedmaDatabaseMerger/MergerForm.resx
===================================================================
--- trunk/tools/CedmaDatabaseMerger/MergerForm.resx	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/MergerForm.resx	(revision 2277)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: trunk/tools/CedmaDatabaseMerger/Program.cs
===================================================================
--- trunk/tools/CedmaDatabaseMerger/Program.cs	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/Program.cs	(revision 2277)
@@ -0,0 +1,18 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
+
+namespace CedmaDatabaseMerger {
+  static class Program {
+    /// <summary>
+    /// The main entry point for the application.
+    /// </summary>
+    [STAThread]
+    static void Main() {
+      Application.EnableVisualStyles();
+      Application.SetCompatibleTextRenderingDefault(false);
+      Application.Run(new MergerForm());
+    }
+  }
+}
Index: trunk/tools/CedmaDatabaseMerger/Properties/AssemblyInfo.cs
===================================================================
--- trunk/tools/CedmaDatabaseMerger/Properties/AssemblyInfo.cs	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/Properties/AssemblyInfo.cs	(revision 2277)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("CedmaDatabaseMerger")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("CedmaDatabaseMerger")]
+[assembly: AssemblyCopyright("Copyright ©  2009")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("92c775ee-5daa-4bec-bf7f-209fd81016e7")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: trunk/tools/CedmaDatabaseMerger/Properties/Resources.Designer.cs
===================================================================
--- trunk/tools/CedmaDatabaseMerger/Properties/Resources.Designer.cs	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/Properties/Resources.Designer.cs	(revision 2277)
@@ -0,0 +1,62 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:2.0.50727.4016
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace CedmaDatabaseMerger.Properties {
+
+
+  /// <summary>
+  ///   A strongly-typed resource class, for looking up localized strings, etc.
+  /// </summary>
+  // This class was auto-generated by the StronglyTypedResourceBuilder
+  // class via a tool like ResGen or Visual Studio.
+  // To add or remove a member, edit your .ResX file then rerun ResGen
+  // with the /str option, or rebuild your VS project.
+  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
+  [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+  internal class Resources {
+
+    private static global::System.Resources.ResourceManager resourceMan;
+
+    private static global::System.Globalization.CultureInfo resourceCulture;
+
+    [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+    internal Resources() {
+    }
+
+    /// <summary>
+    ///   Returns the cached ResourceManager instance used by this class.
+    /// </summary>
+    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+    internal static global::System.Resources.ResourceManager ResourceManager {
+      get {
+        if ((resourceMan == null)) {
+          global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("CedmaDatabaseMerger.Properties.Resources", typeof(Resources).Assembly);
+          resourceMan = temp;
+        }
+        return resourceMan;
+      }
+    }
+
+    /// <summary>
+    ///   Overrides the current thread's CurrentUICulture property for all
+    ///   resource lookups using this strongly typed resource class.
+    /// </summary>
+    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+    internal static global::System.Globalization.CultureInfo Culture {
+      get {
+        return resourceCulture;
+      }
+      set {
+        resourceCulture = value;
+      }
+    }
+  }
+}
Index: trunk/tools/CedmaDatabaseMerger/Properties/Resources.resx
===================================================================
--- trunk/tools/CedmaDatabaseMerger/Properties/Resources.resx	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/Properties/Resources.resx	(revision 2277)
@@ -0,0 +1,117 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: trunk/tools/CedmaDatabaseMerger/Properties/Settings.Designer.cs
===================================================================
--- trunk/tools/CedmaDatabaseMerger/Properties/Settings.Designer.cs	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/Properties/Settings.Designer.cs	(revision 2277)
@@ -0,0 +1,26 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:2.0.50727.4016
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace CedmaDatabaseMerger.Properties {
+
+
+  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
+  internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+
+    private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
+
+    public static Settings Default {
+      get {
+        return defaultInstance;
+      }
+    }
+  }
+}
Index: trunk/tools/CedmaDatabaseMerger/Properties/Settings.settings
===================================================================
--- trunk/tools/CedmaDatabaseMerger/Properties/Settings.settings	(revision 2277)
+++ trunk/tools/CedmaDatabaseMerger/Properties/Settings.settings	(revision 2277)
@@ -0,0 +1,7 @@
+﻿<?xml version='1.0' encoding='utf-8'?>
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)">
+  <Profiles>
+    <Profile Name="(Default)" />
+  </Profiles>
+  <Settings />
+</SettingsFile>
Index: trunk/tools/CedmaImporter/Importer.cs
===================================================================
--- trunk/tools/CedmaImporter/Importer.cs	(revision 2274)
+++ trunk/tools/CedmaImporter/Importer.cs	(revision 2277)
@@ -85,5 +85,5 @@
     private void ImportAllModels(string dirName, StreamReader reader, IModelingDatabase database) {
       while (!reader.EndOfStream) {
-        string[] modelData = reader.ReadLine().Split(';').Select(x => x.Trim()).ToArray();
+        string[] modelData = reader.ReadLine().Split(';','\t').Select(x => x.Trim()).ToArray();
         int id = int.Parse(modelData[ID_COLUMN]);
         string targetVariableName = modelData[TARGETVARIABLE_COLUMN].Trim();
Index: trunk/tools/Tools.sln
===================================================================
--- trunk/tools/Tools.sln	(revision 2274)
+++ trunk/tools/Tools.sln	(revision 2277)
@@ -13,4 +13,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "CedmaImporter", "CedmaImporter\CedmaImporter.csproj", "{F4818BCF-A57F-413C-8DEE-C0532C7F7C7F}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "CedmaDatabaseMerger", "CedmaDatabaseMerger\CedmaDatabaseMerger.csproj", "{D1D66C9C-5B65-4348-B8B5-528A513695E4}"
 EndProject
 Global
@@ -46,4 +48,10 @@
 		{F4818BCF-A57F-413C-8DEE-C0532C7F7C7F}.Release|x86.ActiveCfg = Release|Any CPU
 		{F4818BCF-A57F-413C-8DEE-C0532C7F7C7F}.Release|x86.Build.0 = Release|Any CPU
+		{D1D66C9C-5B65-4348-B8B5-528A513695E4}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D1D66C9C-5B65-4348-B8B5-528A513695E4}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D1D66C9C-5B65-4348-B8B5-528A513695E4}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{D1D66C9C-5B65-4348-B8B5-528A513695E4}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{D1D66C9C-5B65-4348-B8B5-528A513695E4}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D1D66C9C-5B65-4348-B8B5-528A513695E4}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
